View Issue Details

IDProjectCategoryView StatusLast Update
0000234Application Manager[All Projects] Automated Taskpublic2016-08-14 02:25
ReporterJon 
PriorityurgentSeveritymajorReproducibilityN/A
Status resolvedResolutionfixed 
Projectionnone 
Product VersionAlpha 0.1Product BuildAlpha 
Target VersionAlpha 0.2Fixed in VersionAlpha 0.2 
Summary0000234: Improve memory management
DescriptionImplement improved memory management by disposing of unused objects, handles and external resources.
TagsNo tags attached.
StageComplete

Activities

Jon

2015-06-26 18:04

manager   ~0000726

Last edited: 2015-06-26 18:06

View 2 revisions

Added in SCMS Client commits
  - 319 (3878eb11cd20) Feature: 0000234 Project level for disposing.
  - 320 (564a34635da6) note:
  - 321 (a920279c452d) Feature: 0000234 Dispose of Request
  - 322 (d11eacdf9cb9) Feature: 0000234 Clean Stale Objects.
  - 323 (c3dc353e4f84) archive

Average usage

Debug
  - Memory usage: 16,524
  - Threads: 20
  - user Objects: 51

Release
  - Memory usage: 14,700
  - Threads: 17
  - user Objects: 51

Prior to these improvements there was a small memory leak that would slowly fill the object cache. This appears no longer the case and memory consumption whilst using the Application Manager didn't climb above ~ 18.5Mb.

There were changes made to SOETray.exe, which will make it not compatible with these changes. When these improvements are released the tray application needs to be updated.

Issue History

Date Modified Username Field Change
2015-06-26 12:31 Jon New Issue
2015-06-26 12:32 Jon Status new => assigned
2015-06-26 18:04 Jon Note Added: 0000726
2015-06-26 18:04 Jon Status assigned => resolved
2015-06-26 18:04 Jon Fixed in Version => Alpha 0.1
2015-06-26 18:04 Jon Resolution open => fixed
2015-06-26 18:06 Jon Note Edited: 0000726 View Revisions
2015-06-26 21:18 Jon Target Version Alpha 0.1 => Alpha 0.2
2015-06-26 21:18 Jon Fixed in Version Alpha 0.1 => Alpha 0.2
2015-06-26 21:51 Jon Build => Alpha
2016-08-13 23:54 administrator Stage => Unknown
2016-08-14 02:25 administrator Stage Unknown => Complete